#include <avr/io.h>
#include <stdint.h>
#include "LCD/lcd.h"
#include <stdlib.h>
#include <avr/interrupt.h>





// globale Variablendeklarationen
int zahl, 
	c=0;
char string[10];
// globale Variablendeklarationen





// Timer0-Interrupt
ISR(TIMER0_OVF_vect)
{
	c++;
	if ( c > 5)
	{
		c=0;
		zahl++;
	
		// wenn 60mal timer0 aufgerufen dann zahl++ und ausgabe auf lcd
		lcd_clrscr();
		itoa(zahl, string, 10);
		lcd_puts("Vincent & Simon" );
		lcd_gotoxy( 0,2 );
		lcd_puts("AVR-Program " );
		lcd_puts(string);
	}
}
// Timer0-Interrupt





// Initialisierungs-Routine
void init()
{
// Array nullen
for ( zahl = 0; zahl < 10; zahl++ )
	{
	string[0] = 0;
	}
	
	// LCD - Init
	lcd_init(LCD_DISP_ON_CURSOR);
	lcd_clrscr();

	//Timer 0 initialisieren 
	TCNT0 = 0x00; //Timer 0 mit Null initialisieren
	TCCR0 = 0xFE;  //Vergleichsregister initialisieren
	TCCR0 = 0b00000101;
	TIMSK = (1<<TOIE0);    //Output Compare interrupt enable
}
// Initialisierungs-Routine



// Mglichkeit eine Funktion zu schreiben in Timer0.h:
// BSP: Init_Timer0(Prescelator(1024/512/256 ,,, ) [ int ], usw );
//




// main-Programm
int main (void)
{

	zahl = 211;
	init();
	sei();  //Enable Global Interrupt

	zahl = 211;
	lcd_clrscr();
	itoa(zahl, string, 10);
	lcd_puts("Start Counting..." );
	lcd_puts( string);
	while(1)
	{
	}

	return 0;
}
// main-Programm
